apt 3.1.11 commandline package manager

Public Types | Public Member Functions | Protected Attributes | List of all members
pkgCache::Iterator< Str, Itr > Class Template Reference

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = Str
using | difference_type = std::ptrdiff_t
using | pointer = Str*
using | reference = Str&

## Public Member Functions
bool | end () const
bool | operator== (const Itr &B) const
bool | operator!= (const Itr &B) const
Str * | operator-> ()
Str const * | operator-> () const
| operator Str * ()
| operator Str const * () const
Str & | operator* ()
Str const & | operator* () const
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< Str > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)
| Iterator (pkgCache &Owner, Str *T=0)

## Protected Attributes
Str * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h